## ros-melodic-collada-urdf 1.12.13

=== debian/changelog ===
ros-melodic-collada-urdf (1.12.13-1bionic) bionic; urgency=high

  * Update to newer CMake to get rid of CMP0048 warning (#38 <https://github.com/ros/collada_urdf/issues/38>)
  * Enable to output transmission_interface instead of pr2_mechanism_model (#35 <https://github.com/ros/collada_urdf/issues/35>)
  * Contributors: Chris Lalancette, Shun Hasegawa

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 14 Jul 2020 00:00:00 -0000

ros-melodic-collada-urdf (1.12.12-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 08 May 2018 00:00:00 -0000

ros-melodic-collada-urdf (1.12.11-1bionic) bionic; urgency=high

  * Collada cleanup dependencies (#26 <https://github.com/ros/collada_urdf/issues/26>)
  * update links now that this is in its own repo
  * Switch to using Eigen for Quaternion and Matrix. (#21 <https://github.com/ros/collada_urdf/issues/21>)
  * add relicensing comment (#19 <https://github.com/ros/collada_urdf/issues/19>)
  * remove unused tinyxml from cmakelists (#15 <https://github.com/ros/collada_urdf/issues/15>)
  * Contributors: Chris Lalancette, Mikael Arguedas, Rosen Diankov

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 17 Apr 2018 00:00:00 -0000

ros-melodic-collada-urdf (1.12.10-1bionic) bionic; urgency=high

  * Moved collada_parser and collada_urdf to new repository

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 04 May 2017 00:00:00 -0000

ros-melodic-collada-urdf (1.12.9-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 26 Apr 2017 00:00:00 -0000

ros-melodic-collada-urdf (1.12.8-1bionic) bionic; urgency=high

  * Remove old gazebo settings.
    Based on an initial patch from YoheiKakiuchi, just totally
    remove old Gazebo 1.0 settings, as they are never used and
    almost certainly will never be used.
  * add Chris and Shane as maintainers (#184 <https://github.com/ros/robot_model/issues/184>)
  * Do a few cleanup tasks in collada_urdf (#183 <https://github.com/ros/robot_model/issues/183>)
    * Style cleanup within collada_urdf.
    No functional change, just style.
    * Make sure to quit out of urdf_to_collada when invalid file is found.
    Otherwise, we'll just end up segfaulting later on.
    * Re-enable one of the collada-urdf tests.
    In point of fact, we delete the rest of the tests because
    they don't make much sense anymore.  Just enable this one
    for now; we'll enable further ones in the future.
    * Add in another test for collada_urdf.
  * remove divide by 2 when writing boxes to collada format (#133 <https://github.com/ros/robot_model/issues/133>)
  * Contributors: Chris Lalancette, Jackie Kay, William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 27 Mar 2017 00:00:00 -0000

ros-melodic-collada-urdf (1.12.7-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 26 Jan 2017 00:00:00 -0000

ros-melodic-collada-urdf (1.12.6-1bionic) bionic; urgency=high

  * Now using ``urdf::*ShredPtr`` instead of ``boost::shared_ptr`` (#144 <https://github.com/ros/robot_model/issues/144>)
  * Contributors: Jochen Sprickerhof

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Jan 2017 00:00:00 -0000

ros-melodic-collada-urdf (1.12.5-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 27 Oct 2016 00:00:00 -0000

ros-melodic-collada-urdf (1.12.4-1bionic) bionic; urgency=high

  * Use the C++11 standard (#145 <https://github.com/ros/robot_model/issues/145>)
  * Contributors: William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 23 Aug 2016 00:00:00 -0000

ros-melodic-collada-urdf (1.12.3-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 00:00:00 -0000

ros-melodic-collada-urdf (1.12.2-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 12 Apr 2016 00:00:00 -0000

ros-melodic-collada-urdf (1.12.1-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 10 Apr 2016 00:00:00 -0000

ros-melodic-collada-urdf (1.11.8-1bionic) bionic; urgency=high

  * Removed pcre hack for newer released collada-dom.
  * Contributors: Kei Okada

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 11 Sep 2015 00:00:00 -0000

ros-melodic-collada-urdf (1.11.7-1bionic) bionic; urgency=high

  * Fixed #89 <https://github.com/ros/robot_model/issues/89>
    Accomplished by loading libpcrecpp before collada-dom.
  * Contributors: Kei Okada, William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 22 Apr 2015 00:00:00 -0000

ros-melodic-collada-urdf (1.11.6-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 30 Nov 2014 00:00:00 -0000

ros-melodic-collada-urdf (1.11.5-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 24 Jul 2014 00:00:00 -0000

ros-melodic-collada-urdf (1.11.4-1bionic) bionic; urgency=high

  * moving to new dependency for urdfdom and urdfdom_headers. https://github.com/ros/rosdistro/issues/4633
  * Fix clash with assimp 3.1 in CMake.
  * Contributors: Benjamin Chrétien, Tully Foote

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 07 Jul 2014 00:00:00 -0000

ros-melodic-collada-urdf (1.11.3-1bionic) bionic; urgency=high

  * Merge pull request #69 <https://github.com/ros/robot_model/issues/69> from YoheiKakiuchi/indigo-devel-store-original-mesh-name
    storing original mesh file name and location
  * storing original mesh file name and location
  * Contributors: Ioan A Sucan, YoheiKakiuchi

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 24 Jun 2014 00:00:00 -0000

ros-melodic-collada-urdf (1.11.2-1bionic) bionic; urgency=high

  * use new  urdfdom_headers API
  * Contributors: Ioan Sucan

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 22 Mar 2014 00:00:00 -0000


